Bug 998125 - Review Request: arch-install-scripts - Scripts to bootstrap Arch distribution
Review Request: arch-install-scripts - Scripts to bootstrap Arch distribution
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On: 998127 998690
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 09:58 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2013-09-15 20:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: archlinux-keyring-20130818-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-15 20:29:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-08-17 09:58:26 EDT
Spec URL: http://in.waw.pl/~zbyszek/fedora/arch-install-scripts.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/arch-install-scripts-11-1.src.rpm
Description:
A small suite of scripts aimed at automating some menial tasks when
installing Arch Linux, most notably including actually performing the
installation.

To install and launch Arch in a container:
  pacman-key --init
  pacstrap -c -d ~/arch-tree/ base
  systemd-nspawn -bD ~/arch-tree/

Those scripts only make sense with pacman installed, which I'm putting for review as a separate request.

Fedora Account System Username: zbyszek
Koji builds:
arch-install-scripts f19
http://koji.fedoraproject.org/koji/taskinfo?taskID=5823941

arch-install-scripts f20
http://koji.fedoraproject.org/koji/taskinfo?taskID=5823943

rpmlint: only spelling and missing manpage warnings. Spelling ones are OK, and manpages are missing upstream.
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-08-19 15:11:17 EDT
v2:
- Replace paths with macros in files
- Add dependency on archlinux-keyring

Spec & srpm under the same URLs.

Updated installation instructions:
  pacman-key --init
  pacman-key --populate archlinux # archlinux-keyring is for this
  pacstrap -c -d ~/arch-tree/ base
  systemd-nspawn -bD ~/arch-tree/

koji f20: http://koji.fedoraproject.org/koji/taskinfo?taskID=5830885
koji f19: http://koji.fedoraproject.org/koji/taskinfo?taskID=5830887
Comment 2 Christopher Meng 2013-08-19 21:40:56 EDT
Hi Zbigniew,

If you don't mind I will review all these arch stuffs in the next week since I'm also busy, too.

OK?

If not please reset the assignee and bug status
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-08-19 21:54:38 EDT
(In reply to Christopher Meng from comment #2)
> If you don't mind I will review all these arch stuffs in the next week since
> I'm also busy, too.
That would be great.

Zbyszek
Comment 4 Mario Blättermann 2013-08-22 08:46:19 EDT
The folder /usr/share/zsh is already owned by mercurial, but it doesn't seem to be needed by your scripts, so I accept the co-ownership in this case.

PREFIX=/usr → PREFIX=%{_prefix}

License is GPLv2, I don't see the "later versions" clause anywhere in the source files (which don't have license headers anyway).
Comment 5 Zbigniew Jędrzejewski-Szmek 2013-08-22 16:26:28 EDT
(In reply to Mario Blättermann from comment #4)
> The folder /usr/share/zsh is already owned by mercurial, but it doesn't seem
> to be needed by your scripts, so I accept the co-ownership in this case.
Agreed.

> PREFIX=/usr → PREFIX=%{_prefix}
Fixed.

> License is GPLv2, I don't see the "later versions" clause anywhere in the
> source files (which don't have license headers anyway).
Fixed.

I added a changelog entry for those fixes.

koji f20: http://koji.fedoraproject.org/koji/taskinfo?taskID=5843444
koji f19: http://koji.fedoraproject.org/koji/taskinfo?taskID=5843432
Comment 6 Mario Blättermann 2013-08-24 04:30:27 EDT
Nice to have an appropriate changelog entry, but don't forget to bump the "Release" tag in the same manner.

(In reply to Christopher Meng from comment #2)
> If not please reset the assignee and bug status

I'll take this one over, and also archlinux-keyring.
Comment 7 Zbigniew Jędrzejewski-Szmek 2013-08-24 14:03:13 EDT
(In reply to Mario Blättermann from comment #6)
> Nice to have an appropriate changelog entry, but don't forget to bump the
> "Release" tag in the same manner.
Fixed.

Spec URL: http://in.waw.pl/~zbyszek/fedora/arch-install-scripts.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/arch-install-scripts-11-2.src.rpm
Comment 9 Mario Blättermann 2013-08-26 05:45:16 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5853612

$ rpmlint -i -v *
arch-install-scripts.src: I: checking
arch-install-scripts.src: W: spelling-error %description -l en_US pacman -> Panama, panama
The value of this tag appears to be misspelled. Please double-check.

arch-install-scripts.src: W: spelling-error %description -l en_US init -> unit, int, nit
The value of this tag appears to be misspelled. Please double-check.

arch-install-scripts.src: W: spelling-error %description -l en_US archlinux -> searchlight
The value of this tag appears to be misspelled. Please double-check.

arch-install-scripts.src: W: spelling-error %description -l en_US pacstrap -> strap
The value of this tag appears to be misspelled. Please double-check.

arch-install-scripts.src: W: spelling-error %description -l en_US systemd -> systems, system, system d
The value of this tag appears to be misspelled. Please double-check.

arch-install-scripts.src: W: spelling-error %description -l en_US nspawn -> spawn, n spawn, pawn
The value of this tag appears to be misspelled. Please double-check.

arch-install-scripts.src: W: spelling-error %description -l en_US bD -> b, D, be
The value of this tag appears to be misspelled. Please double-check.

arch-install-scripts.src: I: checking-url https://github.com/falconindy/arch-install-scripts (timeout 10 seconds)
arch-install-scripts.src: I: checking-url https://github.com/falconindy/arch-install-scripts/archive/v11.tar.gz (timeout 10 seconds)
arch-install-scripts.noarch: I: checking
arch-install-scripts.noarch: W: spelling-error %description -l en_US init -> unit, int, nit
The value of this tag appears to be misspelled. Please double-check.

arch-install-scripts.noarch: W: spelling-error %description -l en_US archlinux -> searchlight
The value of this tag appears to be misspelled. Please double-check.

arch-install-scripts.noarch: W: spelling-error %description -l en_US systemd -> systems, system, system d
The value of this tag appears to be misspelled. Please double-check.

arch-install-scripts.noarch: W: spelling-error %description -l en_US nspawn -> spawn, n spawn, pawn
The value of this tag appears to be misspelled. Please double-check.

arch-install-scripts.noarch: W: spelling-error %description -l en_US bD -> b, D, be
The value of this tag appears to be misspelled. Please double-check.

arch-install-scripts.noarch: I: checking-url https://github.com/falconindy/arch-install-scripts (timeout 10 seconds)
arch-install-scripts.noarch: W: no-manual-page-for-binary pacstrap
Each executable in standard binary directories should have a man page.

arch-install-scripts.noarch: W: no-manual-page-for-binary genfstab
Each executable in standard binary directories should have a man page.

arch-install-scripts.noarch: W: no-manual-page-for-binary arch-chroot
Each executable in standard binary directories should have a man page.

arch-install-scripts.spec: I: checking-url https://github.com/falconindy/arch-install-scripts/archive/v11.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 15 warnings.


Invalid spelling errors and missing manpages, nothing of interest.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    685a4e83586e96edac70ec2482437343b6d2d60398473b466102d84039d9f574  v11.tar.gz
    685a4e83586e96edac70ec2482437343b6d2d60398473b466102d84039d9f574  v11.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------
Comment 10 Zbigniew Jędrzejewski-Szmek 2013-08-26 12:22:15 EDT
New Package SCM Request
=======================
Package Name: arch-install-scripts
Short Description: Scripts to bootstrap the Arch distribution
Owners: zbyszek
Branches: f19 f20
InitialCC: peter mariobl cicku
Comment 11 Gwyn Ciesla 2013-08-26 13:07:05 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-09-06 08:08:34 EDT
archlinux-keyring-20130818-2.fc19,arch-install-scripts-11-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/archlinux-keyring-20130818-2.fc19,arch-install-scripts-11-2.fc19
Comment 13 Fedora Update System 2013-09-06 21:29:48 EDT
archlinux-keyring-20130818-2.fc19, arch-install-scripts-11-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-09-15 20:29:56 EDT
archlinux-keyring-20130818-2.fc19, arch-install-scripts-11-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.